From: Ruben Rodriguez <ruben@gnu.org>
Date: Thu, 3 Sep 2015 21:52:19 +0000 (-0500)
Subject: Updated scripts/FAIBASE/30-interface from upstream
X-Git-Url: https://vcs.fsf.org/?a=commitdiff_plain;h=dce19462459c53662e9cf8e9590f352ccdee1c95;p=fai-configs.git

Updated scripts/FAIBASE/30-interface from upstream
---

diff --git a/scripts/FAIBASE/30-interface b/scripts/FAIBASE/30-interface
index 6668efb..e61e40e 100755
--- a/scripts/FAIBASE/30-interface
+++ b/scripts/FAIBASE/30-interface
@@ -1,41 +1,34 @@
 #! /bin/bash
 
-error=0 ; trap "error=$((error|1))" ERR
+error=0; trap 'error=$(($?>$error?$?:$error))' ERR # save maximum error code
 
-if ifclass DHCPC && [ $FAI_ACTION != "softupdate" ]
+if ifclass DHCPC && [ $FAI_ACTION = "install" ]
 then
     cat > $target/etc/network/interfaces <<-EOF
 	# generated by FAI
-	auto lo eth0
+	auto lo $NIC1
 	iface lo inet loopback
-	iface eth0 inet dhcp
+	iface $NIC1 inet dhcp
 EOF
-elif ifclass NW_MGR && [ $FAI_ACTION != "softupdate" ]
-then
-    cat > $target/etc/network/interfaces <<-EOF
-	# generated by FAI
-	auto lo
-	iface lo inet loopback
-EOF
-elif [ $FAI_ACTION != "softupdate" ]
+elif [ $FAI_ACTION = "install" ]
 then
       [ -n "$IPADDR" ] && cat > $target/etc/network/interfaces <<-EOF
 	# generated by FAI
-	auto lo eth0
+	auto lo $NIC1
 	iface lo inet loopback
-	iface eth0 inet static
+	iface $NIC1 inet static
 	  address $IPADDR
 	  netmask $NETMASK
 	  broadcast $BROADCAST
 	  gateway $GATEWAYS
 EOF
     [ -n "$NETWORK" ] && echo "localnet $NETWORK" > $target/etc/networks
-    [ -s /etc/resolv.conf ] && cp -p /etc/resolv.conf $target/etc
+    [ -L $target/etc/resolv.conf ] || cp -p /etc/resolv.conf $target/etc
 fi
 
 # here fcopy is mostly used, when installing a client for running in a
-# different subnet than during the installation  
-fcopy -i /etc/resolv.conf
+# different subnet than during the installation
+fcopy -iM /etc/resolv.conf
 fcopy -iM /etc/network/interfaces /etc/networks
 
 exit $error